Bug 297630 - Rekonq crashed on Tools access
Summary: Rekonq crashed on Tools access
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9.1
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 0.10
Assignee: Andrea Diamantini
URL:
Keywords:
: 297498 302730 307122 309157 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-07 03:29 UTC by Kevin Clevenger
Modified: 2012-10-28 22:05 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (25.33 KB, text/plain)
2012-04-12 07:26 UTC, Danny B
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Clevenger 2012-04-07 03:29:28 UTC
Application: rekonq (0.9.1)
KDE Platform Version: 4.8.2 (4.8.2)
Qt Version: 4.8.1
Operating System: Linux 3.3.1-3.fc17.x86_64 x86_64
Distribution: "Fedora release 17 (Beefy Miracle)"

-- Information about the crash:
- What I was doing when the application crashed:
Clicked on the tools icon, browser crashed. Rekonq is compiled from current sources

-- Backtrace:
Application: rekonq (rekonq), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f65454b1880 (LWP 8431))]

Thread 11 (Thread 0x7f6539579700 (LWP 8432)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b20f7e685 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x3b21952740) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#2  0x0000003b20f7e6e9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#3  0x0000003afd407d14 in start_thread (arg=0x7f6539579700) at pthread_create.c:309
#4  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f6538c78700 (LWP 8433)):
#0  g_mutex_get_impl (mutex=0x7f65340009a0) at gthread-posix.c:118
#1  0x0000003afc4836e9 in g_mutex_unlock (mutex=mutex@entry=0x7f65340009a0) at gthread-posix.c:227
#2  0x0000003afc447a9e in g_main_context_iteration (context=0x7f65340009a0, may_block=<optimized out>) at gmain.c:3185
#3  0x0000003b071a3a06 in QEventDispatcherGlib::processEvents (this=0x7f65340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x0000003b0717495f in QEventLoop::processEvents (this=this@entry=0x7f6538c77d20, flags=...) at kernel/qeventloop.cpp:149
#5  0x0000003b07174be8 in QEventLoop::exec (this=0x7f6538c77d20, flags=...) at kernel/qeventloop.cpp:204
#6  0x0000003b070785a0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x0000003b0707b53b in QThreadPrivate::start (arg=0xc167c0) at thread/qthread_unix.cpp:298
#8  0x0000003afd407d14 in start_thread (arg=0x7f6538c78700) at pthread_create.c:309
#9  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f6533bc9700 (LWP 8434)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b21b84ab7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x3b21e91980) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x0000003b21b84ae9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x0000003afd407d14 in start_thread (arg=0x7f6533bc9700) at pthread_create.c:309
#4  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f653267b700 (LWP 8435)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b0707ba3b in wait (time=18446744073709551615, this=0x9ae140) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xac7900, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003b1720aa81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9b2af0, th=0xcb6d30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003b1720d2cb in ThreadWeaver::WorkingHardState::applyForWork (this=0xac7960, th=0xcb6d30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003b1720d2e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0xac7960, th=0xcb6d30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003b1720c13f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f653267ad20, parent=0x9b2af0, th=th@entry=0xcb6d30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003b1720c1cb in ThreadWeaver::Thread::run (this=0xcb6d30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003b0707b53b in QThreadPrivate::start (arg=0xcb6d30) at thread/qthread_unix.cpp:298
#9  0x0000003afd407d14 in start_thread (arg=0x7f653267b700) at pthread_create.c:309
#10 0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f64ebfff700 (LWP 8447)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b0707ba3b in wait (time=18446744073709551615, this=0x9ae140) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xac7900, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003b1720aa81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9b2af0, th=0xb80840) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003b1720d2cb in ThreadWeaver::WorkingHardState::applyForWork (this=0xac7960, th=0xb80840) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003b1720c13f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f64ebffed20, parent=0x9b2af0, th=th@entry=0xb80840) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003b1720c1cb in ThreadWeaver::Thread::run (this=0xb80840) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003b0707b53b in QThreadPrivate::start (arg=0xb80840) at thread/qthread_unix.cpp:298
#8  0x0000003afd407d14 in start_thread (arg=0x7f64ebfff700) at pthread_create.c:309
#9  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f64e3fff700 (LWP 8591)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b0707ba3b in wait (time=18446744073709551615, this=0x9ae140) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xac7900, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003b1720aa81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9b2af0, th=0xbdec30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003b1720d2cb in ThreadWeaver::WorkingHardState::applyForWork (this=0xac7960, th=0xbdec30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003b1720c13f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f64e3ffed20, parent=0x9b2af0, th=th@entry=0xbdec30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003b1720c1cb in ThreadWeaver::Thread::run (this=0xbdec30) at /usr/src/debug/kdelibs-4.8.2/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003b0707b53b in QThreadPrivate::start (arg=0xbdec30) at thread/qthread_unix.cpp:298
#8  0x0000003afd407d14 in start_thread (arg=0x7f64e3fff700) at pthread_create.c:309
#9  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f64eae62700 (LWP 8592)):
#0  0x0000003afc8e8e9f in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x0000003afc447974 in g_main_context_poll (n_fds=1, fds=0x7f64d4002f70, timeout=-1, context=0x7f64d4002800, priority=<optimized out>) at gmain.c:3417
#2  g_main_context_iterate (context=context@entry=0x7f64d4002800, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3118
#3  0x0000003afc447a94 in g_main_context_iteration (context=0x7f64d4002800, may_block=1) at gmain.c:3184
#4  0x0000003b071a3a06 in QEventDispatcherGlib::processEvents (this=0x7f64d4002b30, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003b0717495f in QEventLoop::processEvents (this=this@entry=0x7f64eae61cf0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003b07174be8 in QEventLoop::exec (this=0x7f64eae61cf0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003b070785a0 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x0000003b0d3a114e in KIO::NameLookUpThread::run (this=0x7f64e40084a0) at /usr/src/debug/kdelibs-4.8.2/kio/kio/hostinfo.cpp:226
#9  0x0000003b0707b53b in QThreadPrivate::start (arg=0x7f64e40084a0) at thread/qthread_unix.cpp:298
#10 0x0000003afd407d14 in start_thread (arg=0x7f64eae62700) at pthread_create.c:309
#11 0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f64e1ffb700 (LWP 8613)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f64eb210603 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x0000003afd407d14 in start_thread (arg=0x7f64e1ffb700) at pthread_create.c:309
#3  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f64ea661700 (LWP 8614)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f64eb210603 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x0000003afd407d14 in start_thread (arg=0x7f64ea661700) at pthread_create.c:309
#3  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f64e9e60700 (LWP 8615)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f64eb210603 in queue_processor(void*) () from /usr/lib64/IcedTeaPlugin.so
#2  0x0000003afd407d14 in start_thread (arg=0x7f64e9e60700) at pthread_create.c:309
#3  0x0000003afc8f194d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f65454b1880 (LWP 8431)):
[KCrash Handler]
#6  height (this=<optimized out>) at /usr/include/QtCore/qrect.h:307
#7  height (this=<optimized out>) at /usr/include/QtGui/qwidget.h:1030
#8  RekonqMenu::showEvent (this=0xb87270, event=<optimized out>) at /home/kcleveng/src/rekonq-0.9.1/src/rekonqmenu.cpp:64
#9  0x0000003b09e1a07e in QWidget::event (this=0xb87270, event=0x7fff20a3e190) at kernel/qwidget.cpp:8569
#10 0x0000003b0a20462b in QMenu::event (this=0xb87270, e=0x7fff20a3e190) at widgets/qmenu.cpp:2469
#11 0x0000003b09dca47c in QApplicationPrivate::notify_helper (this=this@entry=0x81ca80, receiver=receiver@entry=0xb87270, e=e@entry=0x7fff20a3e190) at kernel/qapplication.cpp:4554
#12 0x0000003b09dce9aa in QApplication::notify (this=0x7fff20a3fb20, receiver=0xb87270, e=0x7fff20a3e190) at kernel/qapplication.cpp:4415
#13 0x0000003b0c0459f6 in KApplication::notify (this=0x7fff20a3fb20, receiver=0xb87270, event=0x7fff20a3e190) at /usr/src/debug/kdelibs-4.8.2/kdeui/kernel/kapplication.cpp:311
#14 0x0000003b0717595e in QCoreApplication::notifyInternal (this=0x7fff20a3fb20, receiver=0xb87270, event=0x7fff20a3e190) at kernel/qcoreapplication.cpp:876
#15 0x0000003b09e1c087 in sendEvent (event=0x7fff20a3e190, receiver=0xb87270) at ../../src/corelib/kernel/qcoreapplication.h:231
#16 QWidgetPrivate::show_helper (this=this@entry=0xb872e0) at kernel/qwidget.cpp:7542
#17 0x0000003b09e1c372 in QWidget::setVisible (this=0xb87270, visible=<optimized out>) at kernel/qwidget.cpp:7764
#18 0x0000003b0a200aab in show (this=0xb87270) at ../../src/gui/kernel/qwidget.h:494
#19 QMenu::popup (this=this@entry=0xb87270, p=..., atAction=atAction@entry=0x0) at widgets/qmenu.cpp:2038
#20 0x0000003b0a201034 in QMenu::exec (this=0xb87270, p=..., action=0x0) at widgets/qmenu.cpp:2110
#21 0x0000003b0a23f486 in QToolButtonPrivate::popupTimerDone (this=0xbd0130) at widgets/qtoolbutton.cpp:952
#22 0x0000003b0a23fb11 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qtoolbutton.cpp:90
#23 QToolButton::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qtoolbutton.cpp:80
#24 0x0000003b0718c09f in QMetaObject::activate (sender=0xbbcd00, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#25 0x0000003b0a182b01 in QAbstractButtonPrivate::emitPressed (this=this@entry=0xbd0130) at widgets/qabstractbutton.cpp:562
#26 0x0000003b0a182ccc in QAbstractButton::mousePressEvent (this=0xbbcd00, e=0x7fff20a3eea0) at widgets/qabstractbutton.cpp:1098
#27 0x0000003b0a23fd81 in QToolButton::mousePressEvent (this=0xbbcd00, e=0x7fff20a3eea0) at widgets/qtoolbutton.cpp:709
#28 0x0000003b09e1a1a3 in QWidget::event (this=0xbbcd00, event=0x7fff20a3eea0) at kernel/qwidget.cpp:8358
#29 0x0000003b09dca47c in QApplicationPrivate::notify_helper (this=this@entry=0x81ca80, receiver=receiver@entry=0xbbcd00, e=e@entry=0x7fff20a3eea0) at kernel/qapplication.cpp:4554
#30 0x0000003b09dcf20b in QApplication::notify (this=<optimized out>, receiver=0xbbcd00, e=0x7fff20a3eea0) at kernel/qapplication.cpp:4097
#31 0x0000003b0c0459f6 in KApplication::notify (this=0x7fff20a3fb20, receiver=0xbbcd00, event=0x7fff20a3eea0) at /usr/src/debug/kdelibs-4.8.2/kdeui/kernel/kapplication.cpp:311
#32 0x0000003b0717595e in QCoreApplication::notifyInternal (this=0x7fff20a3fb20, receiver=0xbbcd00, event=0x7fff20a3eea0) at kernel/qcoreapplication.cpp:876
#33 0x0000003b09dcb2bb in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#34 QApplicationPrivate::sendMouseEvent (receiver=0xbbcd00, event=0x7fff20a3eea0, alienWidget=0xbbcd00, nativeWidget=0xbacc20, buttonDown=0x3b0a89dd88, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3165
#35 0x0000003b09e45994 in QETWidget::translateMouseEvent (this=this@entry=0xbacc20, event=event@entry=0x7fff20a3f610) at kernel/qapplication_x11.cpp:4523
#36 0x0000003b09e44721 in QApplication::x11ProcessEvent (this=0x7fff20a3fb20, event=0x7fff20a3f610) at kernel/qapplication_x11.cpp:3646
#37 0x0000003b09e6a73c in x11EventSourceDispatch (s=s@entry=0x818d70, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#38 0x0000003afc4475bc in g_main_dispatch (context=0x814160) at gmain.c:2515
#39 g_main_context_dispatch (context=context@entry=0x814160) at gmain.c:3052
#40 0x0000003afc4479d8 in g_main_context_iterate (context=context@entry=0x814160, block=block@entry=1, dispatch=dispatch@entry=1, self=<error reading variable: Unhandled dwarf expression opcode 0xfa>) at gmain.c:3123
#41 0x0000003afc447a94 in g_main_context_iteration (context=0x814160, may_block=1) at gmain.c:3184
#42 0x0000003b071a39e6 in QEventDispatcherGlib::processEvents (this=0x7e8970, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#43 0x0000003b09e6a41e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#44 0x0000003b0717495f in QEventLoop::processEvents (this=this@entry=0x7fff20a3f9e0, flags=...) at kernel/qeventloop.cpp:149
#45 0x0000003b07174be8 in QEventLoop::exec (this=0x7fff20a3f9e0, flags=...) at kernel/qeventloop.cpp:204
#46 0x0000003b07179718 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#47 0x00007f654560bf71 in kdemain (argc=1, argv=0x7fff20a3fcf8) at /home/kcleveng/src/rekonq-0.9.1/src/main.cpp:180
#48 0x0000003afc821735 in __libc_start_main (main=0x400810 <main(int, char**)>, argc=1, ubp_av=0x7fff20a3fcf8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff20a3fce8) at libc-start.c:226
#49 0x0000000000400841 in _start ()

Reported using DrKonqi
Comment 1 Andrea Diamantini 2012-04-12 00:10:08 UTC
Targetting 0.10...
Comment 2 Danny B 2012-04-12 07:26:03 UTC
Created attachment 70332 [details]
New crash information added by DrKonqi

rekonq (0.9.0) on KDE Platform 4.8.1 (4.8.1) using Qt 4.8.0

- What I was doing when the application crashed:
I rearranged the toolbar icons and then clicked on the Tools button and it crashed rekonq.

- Custom settings of the application:
I rearranged the toolbar to move the Reload button to the left of the address bar. The bug seems to be triggered by clicking on the Tools icon right after customizing the toolbar.

-- Backtrace (Reduced):
#7  height (this=0x28) at /usr/include/QtCore/qrect.h:307
#8  height (this=0x89598c8) at /usr/include/QtGui/qwidget.h:1030
#9  RekonqMenu::showEvent (this=0x8953598, event=0xbfc204b0) at /usr/src/debug/rekonq-0.9.0-1/src/rekonqmenu.cpp:64
#10 0x43eb140f in QWidget::event (this=0x8953598, event=0xbfc204b0) at kernel/qwidget.cpp:8568
#11 0x443172ec in QMenu::event (this=0x8953598, e=0xbfc204b0) at widgets/qmenu.cpp:2460
Comment 3 Andrea Diamantini 2012-04-16 15:11:23 UTC
Git commit dc3246095c89a8a5ce5f70f53cab91325925cc26 by Andrea Diamantini.
Committed on 16/04/2012 at 17:17.
Pushed by adjam into branch 'master'.

Get extremely sure rekonq menu button exists when used :)

M  +3    -0    src/rekonqmenu.cpp

http://commits.kde.org/rekonq/dc3246095c89a8a5ce5f70f53cab91325925cc26
Comment 4 Andrea Diamantini 2012-04-16 15:12:14 UTC
Git commit 6fe04a6f68536f3e1440f30d01370363c67c8221 by Andrea Diamantini.
Committed on 16/04/2012 at 17:17.
Pushed by adjam into branch 'Branches.0.9'.

Get extremely sure rekonq menu button exists when used :)

Backported from master branch

M  +3    -0    src/rekonqmenu.cpp

http://commits.kde.org/rekonq/6fe04a6f68536f3e1440f30d01370363c67c8221
Comment 5 Andrea Diamantini 2012-04-16 15:46:18 UTC
*** Bug 297498 has been marked as a duplicate of this bug. ***
Comment 6 Andrea Diamantini 2012-06-29 16:23:27 UTC
*** Bug 302730 has been marked as a duplicate of this bug. ***
Comment 7 Jekyll Wu 2012-09-20 20:59:57 UTC
*** Bug 307122 has been marked as a duplicate of this bug. ***
Comment 8 Jekyll Wu 2012-10-28 22:05:10 UTC
*** Bug 309157 has been marked as a duplicate of this bug. ***